import request from '@/utils/request'

// 查询店铺管理列表
export function listStore(query) {
  return request({
    url: '/store/store/list',
    method: 'get',
    params: query
  })
}

// 查询店铺管理详细
export function getStore(storeId) {
  return request({
    url: '/store/store/' + storeId,
    method: 'get'
  })
}

// 新增店铺管理
export function addStore(data) {
  return request({
    url: '/store/store',
    method: 'post',
    data: data
  })
}

// 修改店铺管理
export function updateStore(data) {
  return request({
    url: '/store/store',
    method: 'put',
    data: data
  })
}

// 修改店铺管理
export function editLogo(data) {
  return request({
    url: '/store/store/editLogo',
    method: 'put',
    data: data
  })
}
export function editData(data) {
  return request({
    url: '/store/store/editData',
    method: 'put',
    data: data
  })
}
// 修改店铺管理
export function audit(data) {
  return request({
    url: '/store/store/audit',
    method: 'put',
    data: data
  })
}
// 删除店铺管理
export function delStore(storeId) {
  return request({
    url: '/store/store/' + storeId,
    method: 'delete'
  })
}

// 导出店铺管理
export function exportStore(query) {
  return request({
    url: '/store/store/export',
    method: 'get',
    params: query
  })
}





// 修改用户
export function updateUser(data) {
  return request({
    url: '/system/user',
    method: 'put',
    data: data
  })
}


// 用户密码重置
export function resetUserPwd(userId, password) {
  const data = {
    userId,
    password
  }
  return request({
    url: '/system/user/resetPwd',
    method: 'put',
    data: data
  })
}

// 用户状态修改
export function changeUserStatus(userId, status) {
  const data = {
    userId,
    status
  }
  return request({
    url: '/system/user/changeStatus',
    method: 'put',
    data: data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile',
    method: 'get'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile',
    method: 'put',
    data: data
  })
}

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/updatePwd',
    method: 'put',
    params: data
  })
}



// 查询授权角色
export function getAuthRole(userId) {
  return request({
    url: '/system/user/authRole/' + userId,
    method: 'get'
  })
}

// 保存授权角色
export function updateAuthRole(data) {
  return request({
    url: '/system/user/authRole',
    method: 'put',
    params: data
  })
}

/**
 * 资质信息提示
 * @returns {*}
 */
export function queryValidStoreLastInfo() {
  return request({
    url: '/store/store/queryValidStoreLastInfo',
    method: 'get'
  })
}

/**
 * 店铺资质提醒接口6个月
 * @returns {*}
 */
export function qualificationReminder() {
  return request({
    url: '/store/store/qualificationReminder',
    method: 'get'
  })
}
